//
//  ABNewPersonViewControllerDelegate+Call.swift
//  VMS
//
//  Copyright © 2015 Skymotion. All rights reserved.
//

import AddressBook
import AddressBookUI

extension ABNewPersonViewControllerDelegate where Self: UIViewController  {
    func addNumberToContacts(number: String?) {
        let record: ABRecord = ABPersonCreate().takeRetainedValue() as ABRecord
        let mvalue: ABMultiValue = ABMultiValueCreateMutable(ABPropertyType(kABMultiStringPropertyType)).takeRetainedValue() as ABMultiValue
        ABMultiValueAddValueAndLabel(mvalue, number, kABPersonPhoneMobileLabel, nil)
        var error: Unmanaged<CFError>? = nil
        if ABRecordSetValue(record, kABPersonPhoneProperty, mvalue, &error) {
            let vc = ABNewPersonViewController()
            vc.newPersonViewDelegate = self
            vc.displayedPerson = record
            let nav = UINavigationController(rootViewController: vc)
            presentViewController(nav, animated: true, completion: {})
        } else {
            DDLogError("Error creating record: \(error)")
        }
    }
    
    func editContact(addressBook: ABAddressBook, record: ABRecord) {
        let personController = ABNewPersonViewController()
        personController.newPersonViewDelegate = self
        personController.addressBook = addressBook
        personController.displayedPerson = record
        personController.navigationItem.title = NSLocalizedString("calllog.edit.contact", comment: "")
        let nav = UINavigationController(rootViewController: personController)
        presentViewController(nav, animated: true, completion: {})
    }
}
