//
//  CNContactViewControllerDelegate+Call.swift
//  VMS
//
//  Copyright © 2015 Skymotion. All rights reserved.
//

import Contacts
import ContactsUI

@available(iOS 9, *)
extension CNContactViewControllerDelegate where Self: UIViewController  {
    
    func addNumberToContacts9(number: String?) {
        guard let num = number else {
            return
        }
        
        let contact = CNMutableContact()
        contact.phoneNumbers = [CNLabeledValue(
            label:CNLabelPhoneNumberMobile,
            value:CNPhoneNumber(stringValue: num))]
        
        let vc = CNContactViewController(forNewContact: contact)
        vc.contactStore = CNContactStore()
        vc.delegate = self
        let nav = UINavigationController(rootViewController: vc)
        presentViewController(nav, animated: true, completion: {})
    }
    
    func editContact(contactStore: CNContactStore, contact: CNContact) {
        let vc = CNContactViewController(forNewContact: contact)
        vc.contactStore = contactStore
        vc.delegate = self
        vc.navigationItem.title = NSLocalizedString("calllog.edit.contact", comment: "")
        let nav = UINavigationController(rootViewController: vc)
        presentViewController(nav, animated: true, completion: {})
    }
    
}
