//
//  InCallDialerViewController.swift
//  VMS
//
//  Copyright (c) 2015 Skymotion. All rights reserved.
//

import UIKit
import CustomViews

class InCallDialerViewController: AbstractDialerViewController {
    
    var callId: Int = kInvalidCallId
    
    @IBOutlet weak var cancel: UIButton!
    @IBOutlet weak var hangup: UIButton!
    
    @IBAction func clickCancel(sender: AnyObject) {
        presentingViewController?.dismissViewControllerAnimated(true, completion: {})
        
    }
    @IBAction func clickHangup(sender: UIButton) {
        Phone.sharedInstance.hangUpCall(callId)
    }
    
    override func appendDigit(digit num: String) {
        super.appendDigit(digit: num)
        
        var input = phoneInput.text
        if input == nil {
            input = ""
        }
        phoneInput.text = input! + num
        
        let phone = Phone.sharedInstance.phone
        phone.sendTone(callId, tone: (num as NSString).characterAtIndex(0))
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }
    
    override func viewDidAppear(animated: Bool) {
        super.viewDidAppear(animated)
    }
    
    override func viewDidDisappear(animated: Bool) {
        super.viewDidDisappear(animated)
    }
    
    override func viewWillAppear(animated: Bool) {
        super.viewWillAppear(animated)
        
        UIDevice.currentDevice().proximityMonitoringEnabled = true
    }
    
    override func viewWillDisappear(animated: Bool) {
        super.viewWillDisappear(animated)
        
        UIDevice.currentDevice().proximityMonitoringEnabled = false
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    override func preferredStatusBarStyle() -> UIStatusBarStyle {
        return .LightContent
    }
}
