//
//  IncomingCallViewController.swift
//  VMS
//
//  Copyright (c) 2015 Skymotion. All rights reserved.
//

import UIKit

class IncomingCallViewController: AbstractCallViewController {
    
    @IBOutlet weak var accept: UIButton!
    
    @IBAction func clickAccept(sender: AnyObject) {
        Phone.sharedInstance.answerCall(self.callId)
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
    }
    
    override func viewWillAppear(animated: Bool) {
        super.viewWillAppear(animated)

        subText?.text = NSLocalizedString("call.state.calling", comment: "")
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    override func onCallNotification(notification: NSNotification) {
        super.onCallNotification(notification)
        
        let status = (notification.object as! NSNumber).integerValue
        
        switch status {
        case CallEvents.Connected.rawValue:
            if let vc: CallViewController = self.storyboard?.instantiateViewControllerWithIdentifier("CallViewController") as? CallViewController {
                vc.incoming = self.incoming
                vc.callId = self.callId
                vc.number = self.number
                vc.nameOrPhone = self.nameOrPhone
                navigationController?.viewControllers = [ vc ]
            }
            break;
        case CallEvents.Disconnected.rawValue:
            mainText?.hidden = true
            break;
        default:
            break;
        }
        
    }
}
