//
//  SettingsViewController.swift
//  VMS
//
//  Copyright (c) 2015 Skymotion. All rights reserved.
//

import UIKit

private var kvoContext = 0

class SettingsViewController: UITableViewController {

    @IBOutlet weak var registrationStatus: UILabel!
    
    var observingStatus = false
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        observingStatus = true
        Phone.sharedInstance.addObserver(self, forKeyPath: "status", options: [], context: &kvoContext)
    }
    
    override func viewWillAppear(animated: Bool) {
        super.viewWillAppear(animated)
    
        updateRegistrationStatus()
    }
    
    func updateRegistrationStatus() {
        let label: String
        switch Phone.sharedInstance.status {
        case .Registered:
            label = "settings.status.registered"
            break;
        case .Registering:
            label = "settings.status.registering"
            break;
        case .Unregistered:
            label = "settings.status.unregistered"
            break;
        case .Unregistering:
            label = "settings.status.unregistering"
            break;
        }
        
        registrationStatus.text = NSLocalizedString(label, comment: "")
    }
    
    deinit {
        if observingStatus {
            Phone.sharedInstance.removeObserver(self, forKeyPath: "status")
        }
    }
    
    override func observeValueForKeyPath(keyPath: String?, ofObject object: AnyObject?, change: [String : AnyObject]?, context: UnsafeMutablePointer<Void>) {
        if context == &kvoContext {
            updateRegistrationStatus()
        }
    }
    
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        if segue.identifier == "UserAccountViewController" {
            let vc = segue.destinationViewController as! UserAccountViewController
            vc.gateway = Phone.sharedInstance.gateway
        }
    }
}
