//
//  GatewayManager.swift
//  VMS
//
//  Copyright © 2015 Skymotion. All rights reserved.
//

import Foundation

class GatewayManager {

    static let SavedGatewayServiceName = "SavedGatewayServiceName"
    static let SavedGatewayServiceType = "SavedGatewayServiceType"
    static let SavedGatewayServiceDomain = "SavedGatewayServiceDomain"
    
    private static var _instance: GatewayManager? = nil
    class var sharedInstance: GatewayManager {
        if _instance == nil {
            _instance = GatewayManager()
        }
        return _instance!
    }
    
    func loadGatewayFromUserDefaults() -> Gateway? {
        let userDefaults = NSUserDefaults.standardUserDefaults()
        userDefaults.synchronize()
        
        let name = userDefaults.valueForKey(GatewayManager.SavedGatewayServiceName) as! String?
        let type = userDefaults.valueForKey(GatewayManager.SavedGatewayServiceType) as! String?
        let domain = userDefaults.valueForKey(GatewayManager.SavedGatewayServiceDomain) as! String?
        
        if name != nil && type != nil && domain != nil {
            return Gateway(domain: domain, type: type, name: name)
        } else {
            return nil
        }
    }
    
    func saveGatewayToUserDefaults(gateway: Gateway) {
        let userDefaults = NSUserDefaults.standardUserDefaults()
        
        userDefaults.setValue(gateway.domain, forKey: GatewayManager.SavedGatewayServiceDomain)
        userDefaults.setValue(gateway.type, forKey: GatewayManager.SavedGatewayServiceType)
        userDefaults.setValue(gateway.name, forKey: GatewayManager.SavedGatewayServiceName)
        userDefaults.synchronize()
    }
}
