//
//  NSManagedObject+Utils.swift
//  VMS
//
//  Copyright (c) 2015 Skymotion. All rights reserved.
//

import Foundation
import CoreData

extension NSManagedObject {
    func addOrderedRelationshipObject(key: String, value:NSManagedObject) {
        let items = self.mutableOrderedSetValueForKey(key)
        items.addObject(value)
    }
    
    func removeOrderedRelationshipObject(key: String, value:NSManagedObject) {
        let items = self.mutableOrderedSetValueForKey(key)
        items.removeObject(value)
    }
    
    func addRelationshipObject(key: String, value:NSManagedObject) {
        let items = self.mutableSetValueForKey(key)
        items.addObject(value)
    }
    
    func removeRelationshipObject(key: String, value:NSManagedObject) {
        let items = self.mutableSetValueForKey(key)
        items.removeObject(value)
    }
}
