//
//  PhoneNumberCache+UI.swift
//  VMS
//
//  Copyright (c) 2015 Skymotion. All rights reserved.
//

import AddressBook
import Contacts

extension PhoneNumberCache {
    
    func displayLabel() -> String {
        if localizedLabel == nil {
            if let lab = label {
                if #available(iOS 9, *) {
                    localizedLabel = CNLabeledValue.localizedStringForLabel(lab)
                } else {
                    localizedLabel = ABAddressBookCopyLocalizedLabel(lab).takeRetainedValue() as String
                }
            } else {
                localizedLabel = NSLocalizedString("phone.number.unknown", comment: "")
            }
        }
        
        return localizedLabel!
    }
    
}
