//
//  DurationFormatter.swift
//  VMS
//
//  Copyright © 2015 Skymotion. All rights reserved.
//

import Foundation

class DurationFormatter: NSNumberFormatter {
    
    var shortFormat: Bool = false
    
    override func stringFromNumber(number: NSNumber) -> String? {
        let val = number.integerValue
        var formatted: String? = nil
        
        var hours = 0
        var minutes = 0
        let seconds = val % 60

        if val >= 60 {
            minutes = val / 60
            if minutes >= 60 {
                hours = minutes / 60
                minutes = minutes % 60
            }
        }
        
        if shortFormat {
            if hours > 0 {
                formatted = String(format: NSLocalizedString("call.duration.hours.short", comment: ""), hours, minutes, seconds)
            } else {
                formatted = String(format: NSLocalizedString("call.duration.minutes.short", comment: ""), minutes, seconds)
            }
        } else {
            if val == 0 {
                formatted = ""
            } else {
                var comp : [String] = [String]()
                
                if hours == 1 {
                    comp.append(String(format: NSLocalizedString("call.duration.hour", comment: ""), hours))
                } else if hours > 0 {
                    comp.append(String(format: NSLocalizedString("call.duration.hours", comment: ""), hours))
                }
                
                if minutes == 1 {
                    comp.append(String(format: NSLocalizedString("call.duration.minute", comment: ""), minutes))
                } else if minutes > 0 {
                    comp.append(String(format: NSLocalizedString("call.duration.minutes", comment: ""), minutes))
                }
                
                if seconds == 1 {
                    comp.append(String(format: NSLocalizedString("call.duration.second", comment: ""), seconds))
                } else if seconds > 0 {
                    comp.append(String(format: NSLocalizedString("call.duration.seconds", comment: ""), seconds))
                }
                
                formatted = comp.joinWithSeparator(" ")
            }
        }
        
        return formatted
    }
    
}
